<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/src/Logger/Logger.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_93a54634d0ab52618b36b15672961616.html">src</a></li><li class="navelem"><a class="el" href="dir_7da9d95e84fb15b3f39432a99c142f21.html">Logger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Logger.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &quot;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_thread_moniker_8h_source.html">AVSCommon/Utils/Logger/ThreadMoniker.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Logger.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_logger_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_logger_2_logger_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_logger_2_logger_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_logger_2_logger_8cpp">
<area shape="rect" id="node4" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="643,105,819,144"/>
<area shape="rect" id="node23" href="_thread_moniker_8h.html" title="AVSCommon/Utils/Logger\l/ThreadMoniker.h" alt="" coords="1353,192,1529,231"/>
<area shape="rect" id="node9" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="355,192,569,231"/>
<area shape="rect" id="node15" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="762,279,938,317"/>
<area shape="rect" id="node16" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1017,192,1193,231"/>
<area shape="rect" id="node21" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="796,192,993,231"/>
<area shape="rect" id="node22" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="623,365,799,404"/>
<area shape="rect" id="node17" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1017,279,1193,317"/>
<area shape="rect" id="node19" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="901,365,1077,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">alexaClientSDK::avsCommon::utils::logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abc409c47d7609b63fafb111e728a72e8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#abc409c47d7609b63fafb111e728a72e8">alexaClientSDK::avsCommon::utils::logger::CONFIG_KEY_LOGGER</a> = &quot;logger&quot;</td></tr>
<tr class="memdesc:abc409c47d7609b63fafb111e728a72e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration key for root level "logger" object.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#abc409c47d7609b63fafb111e728a72e8">More...</a><br /></td></tr>
<tr class="separator:abc409c47d7609b63fafb111e728a72e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f4d400ff0ba6033040752e194db761"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a78f4d400ff0ba6033040752e194db761">alexaClientSDK::avsCommon::utils::logger::CONFIG_KEY_LOG_LEVEL</a> = &quot;logLevel&quot;</td></tr>
<tr class="memdesc:a78f4d400ff0ba6033040752e194db761"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration key for "logLevel" values under "logger" and other per-module objects.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a78f4d400ff0ba6033040752e194db761">More...</a><br /></td></tr>
<tr class="separator:a78f4d400ff0ba6033040752e194db761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce46f7e3d75d191807a3ef76b75dabe"><td class="memItemLeft" align="right" valign="top">static constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ce46f7e3d75d191807a3ef76b75dabe">alexaClientSDK::avsCommon::utils::logger::AT_EXIT_THREAD_ID</a> = &quot;0&quot;</td></tr>
<tr class="separator:a8ce46f7e3d75d191807a3ef76b75dabe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
